#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QAbstractItemModelReplica>

#include <QRemoteObjectNode>
#include <QQmlContext>

#include "dynamicclient.hpp"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);

    QRemoteObjectNode repNode(QUrl(QStringLiteral("local:test")));

    QQmlApplicationEngine engine;
    DynamicClient client(repNode, engine);

    qDebug() << QLatin1String("Call exec");
    int nRet = app.exec();
    return nRet;
}
